DRM_MODE_CONFIG_CLEA(9)

NAME
drm_mode_config_cleanup - free up DRM mode_config info

SYNOPSIS

void drm_mode_config_cleanup(struct drm_device * dev);

ARGUMENTS

dev
    DRM device

DESCRIPTION

Free up all the connectors and CRTCs associated with this DRM device, then free up the framebuffers and associated buffer objects.

Note that since this /should/ happen single-threaded at driver/device teardown time, no locking is required. It's the driver's job to ensure that this guarantee actually holds true.

FIXME

cleanup any dangling user buffer objects too

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT